get usage
curl --request POST \
--url https://api.unprice.dev/v1/analytics/usage/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"range": "24h",
"customer_id": "cus_1H7KQFLr7RepUyQBKdnvY",
"project_id": "project_1H7KQFLr7RepUyQBKdnvY"
}
'import requests
url = "https://api.unprice.dev/v1/analytics/usage/get"
payload = {
"range": "24h",
"customer_id": "cus_1H7KQFLr7RepUyQBKdnvY",
"project_id": "project_1H7KQFLr7RepUyQBKdnvY"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
range: '24h',
customer_id: 'cus_1H7KQFLr7RepUyQBKdnvY',
project_id: 'project_1H7KQFLr7RepUyQBKdnvY'
})
};
fetch('https://api.unprice.dev/v1/analytics/usage/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"usage": [
{
"project_id": "<string>",
"feature_slug": "<string>",
"usage": 123,
"spending": {
"amount": "<string>",
"currency": "<string>",
"display_amount": "<string>"
},
"customer_id": "<string>"
}
]
}{
"error": {
"code": "BAD_REQUEST",
"docs": "https://docs.unprice.dev/api-reference/errors/code/BAD_REQUEST",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "UNAUTHORIZED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/UNAUTHORIZED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "FORBIDDEN",
"docs": "https://docs.unprice.dev/api-reference/errors/code/FORBIDDEN",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "NOT_FOUND",
"docs": "https://docs.unprice.dev/api-reference/errors/code/NOT_FOUND",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "CONFLICT",
"docs": "https://docs.unprice.dev/api-reference/errors/code/CONFLICT",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "PRECONDITION_FAILED",
"docs": "https://docs.unprice.dev/api-reference/errors/code/PRECONDITION_FAILED",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "TOO_MANY_REQUESTS",
"docs": "https://docs.unprice.dev/api-reference/errors/code/TOO_MANY_REQUESTS",
"message": "<string>",
"requestId": "req_1234"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"docs": "https://docs.unprice.dev/api-reference/errors/code/INTERNAL_SERVER_ERROR",
"message": "<string>",
"requestId": "req_1234"
}
}analytics
get usage
Get usage for a customer in a given range
POST
/
v1
/
analytics
/
usage
/
get
get usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Body of the request for the get usage
The range of the usage, last hour, day, week or month
Available options:
24h, 7d, 30d, 90d Example:
"24h"
The customer ID if you want to get the usage for a specific customer
Example:
"cus_1H7KQFLr7RepUyQBKdnvY"
The project ID (optional, only available for main projects)
Example:
"project_1H7KQFLr7RepUyQBKdnvY"
Response
The result of the get usage
Show child attributes
Show child attributes
⌘I